QGIS Application - Bug report #2872
Crash using the new labelling engine at very high scales
2010-07-06 02:38 PM - Gerhard Spieles

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Labelling

Affected QGIS version:1.7.3 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corruptsdata: Copied to github as #: 12932
Description

Hello,

the new core function labeling "abc" is absolutly best.

In extrem situations, it seems to have a malfunction.

When labeling with abc in a vectorlaxer is on and you set the scale less 1:3, qgis crash.
Picture is attached.

History

#1 - 2010-07-13 12:44 AM - Médéric RIBREUX

| am not able to reproduce it with trunk code under Debian Squeeze.

What are the operations you made to get it crashed ? What do you mean by new labelling ? Does it means advanced labelling (rotation, font, placement

with layer attributes) ?

#2 - 2010-07-13 02:06 PM - Gerhard Spieles

Replying to [comment:2 medspx]:

Hi,

its not the item in the layer properities. Its the labeling feature ABC shown in the attached pic 2.

Gerhard

I am not able to reproduce it with trunk code under Debian Squeeze.

What are the operations you made to get it crashed ? What do you mean by new labelling ? Does it means advanced labelling (rotation, font,
placement with layer attributes) ?

#3 - 2010-07-19 05:58 AM - Médéric RIBREUX

Hello,

thanks for your explanations... This new labeling plugin is experimental (as the new symbology system).
| am still not able to reproduce the bug with the 1.5.0 trunk (under GNU/Linux Debian). | can "zoom" to 1:3 (and even 1:1) without crash.

Perhaps is it MS Windows specific ?

What if you try to set the scale with the zoom-in tool (focus on the label and try to zoom in progressively until 1:3 or less) ?

Perhaps the bug is related to free labeling placement only... (It crashes a lot with this mode) ?

#4 - 2010-07-21 11:45 AM - Gerhard Spieles

Hello,

in a new project with only the layer, i wish to label, all is ok and | can zoom 1:1, 2:1 ...
Adding more layer to the project and zomm in, then Qgis crash.

I@m not competent enough to localize the problem, but it seems, that the labeling feature has a memory leage/problem, when data gows up.

Gerhard

#5 - 2010-07-22 10:25 AM - Giovanni Manghi

Replying to [comment:5 gespiel]:

Hello,

in a new project with only the layer, i wish to label, all is ok and | can zoom 1:1, 2:1 ....

Adding more layer to the project and zomm in, then Qgis crash.

Gerhard

can you post a sample of the data that is causing the crash?

#6 - 2010-07-22 02:14 PM - Gerhard Spieles

Replying to [comment:6 lutra]:
Hi,

sample project is attached

Gerhard

#7 - 2010-07-22 02:43 PM - Giovanni Manghi

Hi,

no crash at any scale level with the labelling plugin active. I'm under ubuntu 10.04 with qgis 1.5. Can you test this under a different platform?
I@m not competent enough to localize the problem, but it seems, that the labeling feature has a memory leage/problem, when data gows up.
#8 - 2010-07-23 08:36 AM - Gerhard Spieles

Hello,

tested it on win vista 32bit and qgis crash also.

Programms behavior iS: with every zoom in, the programm needs more time to display the map until qgis crash near scale 1:3.
Gerhard

#9 - 2010-07-24 12:45 PM - Giovanni Manghi

Hi,

| tested your vectors with the new labelling engine under qgis 1.5/0sgeo4w in Windows Seven and | cannot replicate the crash.

#10 - 2010-07-25 11:11 AM - Gerhard Spieles

HellO,

I@ve just tested it on a new build win7 machine and qgis crashed (see attachment)

#11 - 2010-07-25 11:23 AM - Giovanni Manghi

can you please test QGIS in english (en_us)? it is the only difference I'm seeing.

#12 - 2010-07-25 11:29 AM - Giovanni Manghi

Replying to [comment:12 lutra]:

can you please test QGIS in english (en_us)? it is the only difference I'm seeing.

| tested myself and no crash.

In the labelling plugin, what configurations are you using?

#13 - 2010-07-25 11:37 AM - Giovanni Manghi

ok got it.

There are configurations in the plugin that as a fact make qgis eat memory and then crash as described in this ticket.

Just use one of the attached vectors and then choose for example "using perimiter". A scales around 1:1 it starts eating memory and then crash. Maybe

this happens with other configurations. It does not crash with the default one, "around centroid".

#14 - 2010-07-25 11:46 AM - Gerhard Spieles

Hi,
picture with labeling configuration is attached
#15 - 2011-12-16 09:51 AM - Paolo Cavallini
- Category changed from Symbology to Labelling
- Pull Request or Patch supplied set to No

Please deactivate all plugins and check if the problem still is there. Looks a local problem.

#16 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#17 - 2011-12-23 06:41 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 1.8.0
- OS version deleted (xp sp3)

- Status info deleted (0)

- Resolution set to fixed

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version setto 1.7.3

- Subject changed from Qgis crash with new labeling (abc) and scale less 1:3 to Crash using the new labelling engine at very high scales

- Status changed from Open to Closed
- Priority changed from Low to 6

It is not a local problem. It is confirmed on 1.7.3 that at very high scales, when the new labelling engine is used, QGIS starts eating memory, take a lot to

render features and labels and ultimately freezes/crashes. This at least happens under Windows/osgeo4w BUT on master it works ok.

The attached project is good to make tests and replicate the issue.

I'll close this as fixed, but probably would be better to try backport the fix for the 1.7.x versions.
